classification
Title: Site linked in docs, effbot.org, down
Type: Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, effbot, epaine, markroseman, mdk, orsenthil
Priority: normal Keywords: easy, newcomer friendly, patch

Created on 2021-03-15 23:06 by mdk, last changed 2021-05-22 12:10 by mdk. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 26308 merged epaine, 2021-05-22 11:28
Messages (4)
msg388787 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2021-03-15 23:06
effbot.org is down, it's currently displaying:

> effbot.org on hiatus
>
> effbot.org is taking a break. We’ll be back, in some form or another.

But docs.python.org have a few links pointing to it, `git grep effbot` finds 11 of them in the Doc/.

I think they should be manually reviewed one by one, checking on web archive [1] if they still contain relevant information.

For example:

    Doc/library/xml.etree.elementtree.rst:See http://effbot.org/zone/element-index.htm for tutorials and links to other

The given links give Python 2 examples, so I think it's OK just to remove it.

[1]: https://web.archive.org/web/20200315142708/http://effbot.org/
msg393534 - (view) Author: E. Paine (epaine) * Date: 2021-05-12 17:19
@Mark, would it be at all possible for you to host the tkinter part content from Effbot on your site (as you did with the Shipman docs for #37149)? The docs have been down since mid-November and there is no indication of when they'll come back up. Since tkinter does not have very good docs on docs.python.org, this is (still) a very valuable resource.
msg393535 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2021-05-12 17:23
Julien, we could remove them from docs.python.org instead of pointing to archive.org.

Users will be able to find more recent examples in the internet.
msg393602 - (view) Author: Mark Roseman (markroseman) * Date: 2021-05-13 19:30
I'd argue for removing the links altogether, given the material is very outdated and from what I recall anything that was there is better covered now by TkDocs, Shipman, or other resources.
History
Date User Action Args
2021-05-22 12:10:20mdksetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-05-22 11:28:39epainesetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request24907
2021-05-15 09:44:24mdksetkeywords: + easy, newcomer friendly
2021-05-13 19:30:46markrosemansetmessages: + msg393602
2021-05-12 17:23:44orsenthilsetnosy: + orsenthil
messages: + msg393535
2021-05-12 17:19:42epainesetnosy: + effbot, markroseman, epaine
messages: + msg393534
2021-03-19 23:31:45terry.reedysetnosy: + docs@python
title: effbot.org down -> Site linked in docs, effbot.org, down
assignee: docs@python
versions: + Python 3.8, Python 3.9, Python 3.10
components: + Documentation
stage: needs patch
2021-03-15 23:06:20mdkcreate